function onBegin ()
    disablePause()
    disableMovement()
    waitUntilOnGround ()
    walkTo(661, false, 0.2)
    walk(2)
    wait(8)
    setFlag("b", true)
    enableMovement()
    enablePause()
end

function onEnd()
    enableMovement()
    enablePause()
end